[][MAC80211][External release build]

[Description]
Add external release build flow

[Release-log]
N/A

Change-Id: I9e7f99d972dec580eff7b50f18f1a0bc90487e4d
Reviewed-on: https://gerrit.mediatek.inc/c/openwrt/feeds/mtk_openwrt_feeds/+/5687836
diff --git a/autobuild_mac80211_release/clean-staging.sh b/autobuild_mac80211_release/clean-staging.sh
new file mode 100755
index 0000000..a262b85
--- /dev/null
+++ b/autobuild_mac80211_release/clean-staging.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+# This script is used to remove all changes made by autobuild scripts which
+# allows autobuild scripts to be called again
+
+# ATTENTION: commit all changes you made before running this script otherwise
+#            all changes will be lost!
+
+if [ ! -d target/linux ]; then
+	echo "This script must be called from the root directory of OpenWrt!"
+	exit 1
+fi
+
+git clean -f -d
+git checkout .
+rm -rf feeds/
+rm -rf package/feeds
+git -C package checkout .
+git -C package/mtk/applications/luci-app-mtk checkout .